//--------------------------------------------------------------
// File     : main.c
// Datum    : 22.09.2013
// Version  : 1.0
// Autor    : Joerg (angepasst von UB)
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der LCD Nokia5110 Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "lcd_5110.h"

int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren

  // Init vom Nokia5110 Display
  LCD5110_init();

  LCD5110_set_XY(2, 0);
  LCD5110_write_string("Nokia 5110");
  #ifdef USE_Hard_SPI
    LCD5110_set_XY(0, 1);
    LCD5110_write_string("Hard SPI");
  #endif
  LCD5110_set_XY(5, 2);
  LCD5110_write_string("Test");

  LCD5110_set_XY(0, 3);
  LCD5110_write_string("14 Zeichen");

  LCD5110_set_XY(0, 4);
  LCD5110_write_string("12345678901234");

  LCD5110_set_XY(4, 5);
  LCD5110_write_string("6 Zeilen");

  while(1)
  {

  }
}

